Bug 149109 - CAN-2005-0372 directory traversal issue in gftp
Summary: CAN-2005-0372 directory traversal issue in gftp
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gftp   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: David Zeuthen
QA Contact: Mike McLean
URL:
Whiteboard: impact=moderate,public=20050214,sourc...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-18 20:05 UTC by Josh Bressers
Modified: 2013-03-06 03:42 UTC (History)
3 users (show)

Fixed In Version: RHSA-2005-410
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-13 12:07:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch taken from Debian to fix this issue. (1.44 KB, patch)
2005-02-18 20:06 UTC, Josh Bressers
no flags Details | Diff
Demo exploit from the original bugtraq post (3.81 KB, text/x-csrc)
2005-06-02 17:19 UTC, Josh Bressers
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:410 normal SHIPPED_LIVE Moderate: gftp security update 2005-06-13 04:00:00 UTC

Description Josh Bressers 2005-02-18 20:05:04 UTC
gftp versions 2.0.18 and before have a directory traversal issue.  This issue
was reported to bugtraq in 2004, but it was not discovered in gftp until recently.

Please see:
http://www.securityfocus.com/archive/1/385882/2004-12-01/2004-12-31/0

Comment 1 Josh Bressers 2005-02-18 20:06:22 UTC
Created attachment 111215 [details]
Patch taken from Debian to fix this issue.

Comment 2 Josh Bressers 2005-02-18 20:06:58 UTC
This issue should also affect RHEL2.1 and RHEL3.

Comment 3 Warren Togami 2005-02-19 04:30:48 UTC
According to gftp's changelog, this issue is fixed in 2.0.18.  Is this incorrect?

Comment 4 Josh Bressers 2005-02-24 14:06:53 UTC
Warren,

I just checked the source, this is fixed in 2.0.18.

Comment 5 Josh Bressers 2005-03-31 15:31:12 UTC
Ping on this issue

Comment 16 Josh Bressers 2005-06-02 17:19:31 UTC
Created attachment 115099 [details]
Demo exploit from the original bugtraq post

Comment 17 Josh Bressers 2005-06-13 12:07:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-410.html



Note You need to log in before you can comment on or make changes to this bug.